* {
  margin: 0;
  box-sizing: border-box;
}

body {
  font-family: "Helvetica Neue",sans-serif;
  font-weight: 300;
}

nav {
  position: absolute;
  right: 0;
}

nav ul {
  list-style-type: none;
  padding: 0;
}

nav li a {
  background-color: #333;
  display: inline-block;
  color: white;
  padding: 1rem;
  text-decoration: none;
}

nav li a:hover {
  background-color: #111;
}

main {
  padding-top: 3rem;
  display: flex;
  flex-direction: column;
  align-items: center;
  min-height: calc(100vh - 5.2rem);
}

main h1 {
  font-size: 3rem;
  font-variant: small-caps;
}

main h1 a {
  color: #000;
  text-decoration: none;
}

#pictures img {
  width: 10rem;
  margin: 1rem 2rem 2rem 2rem;
}

#content {
  display: inline-block;
}

#services {
  border: #ddd;
  border-style: solid;
  border-radius: 2rem;
  padding: 1rem;
  margin: 1rem 0;
  border-width: thin;
  box-shadow: -0.2rem 0.2rem 0.5rem #ddd;
}

#services p {
  margin-top: 0.75rem;
}

#services h2 {
  margin-bottom: 0.75rem;
}

#contact {
  margin: 2rem auto;
  font-weight: 400;
  border-radius: 1rem;
  padding: 2rem;
  width: 20rem;
  color: white;
  background-image: linear-gradient(to top right, #8080ff, #ff80ff);
  text-align: center;
}

#contact ul {
  list-style-type: none;
  padding: 0.5rem 0 0 0;
}

#contact img {
  border-radius: 3rem;
  width: 10rem;
  margin-top: 2rem;
}

footer {
  margin: 2rem 0;
  text-align: center;
}

footer a {
  color: #000;
  text-decoration: none;
}

@media only screen and (min-width: 512px) {
  nav {
    right: 2rem;
    top: 3rem;
  }
  #services {
    padding: 2rem;
  }
}

@media only screen and (min-width: 768px) {
  #services {
    margin: 1rem;
  }
}

@media only screen and (min-width: 850px) {
  #services {
    width: 60vw;
    float: left;
    padding: 2rem 8rem 2rem 2rem;
    margin: 0 0 0 1rem;
  }
  #contact {
    margin: auto;
    position: relative;
    right: 3rem;
    top: 1rem;
    float: left;
    background-image: linear-gradient(to top right, #0000ff80, #ff00ff80);
  }
}

@media only screen and (min-width: 1140px) {
  #services {
    width: 70vw;
  }
}

@media only screen and (min-width: 1440px) {
  #services {
    width: auto;
  }
}
